Bug 1937089 - cluster DNS experiencing disruptions during cluster upgrade in insights cluster
Summary: cluster DNS experiencing disruptions during cluster upgrade in insights cluster
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: DNS
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.z
Assignee: Miciah Dashiel Butler Masters
QA Contact: jechen
URL:
Whiteboard:
Depends On: 1884053
Blocks: 1937090
TreeView+ depends on / blocked
 
Reported: 2021-03-09 19:13 UTC by Miciah Dashiel Butler Masters
Modified: 2021-04-05 13:56 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1884053
: 1937090 (view as bug list)
Environment:
Last Closed: 2021-04-05 13:56:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-dns-operator pull 247 0 None open [release-4.7] Bug 1937089: Configure CoreDNS to shut down gracefully 2021-03-09 19:33:55 UTC
Red Hat Product Errata RHSA-2021:1005 0 None None None 2021-04-05 13:56:32 UTC

Comment 2 jechen 2021-03-25 19:59:32 UTC
Verified in 4.7.0-0.nightly-2021-03-25-123648

$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2021-03-25-123648   True        False         23m     Cluster version is 4.7.0-0.nightly-2021-03-25-123648

$ oc -n openshift-dns get pod dns-default-26j9d -oyaml
<--- snip ---->
      readinessProbe:
        failureThreshold: 3
        httpGet:
          path: /ready                 <--- verified with pull https://github.com/openshift/cluster-dns-operator/pull/247
          port: 8181                   <--- verified with pull https://github.com/openshift/cluster-dns-operator/pull/247
          scheme: HTTP
        initialDelaySeconds: 10
        periodSeconds: 3
        successThreshold: 1
        timeoutSeconds: 3
<--- snip ---->

Comment 5 errata-xmlrpc 2021-04-05 13:56:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.5 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1005


Note You need to log in before you can comment on or make changes to this bug.